mia-meshdistance-to-stackmask
Prev | Creation, analysis, and filtering of triangular 3D meshes | Next

### mia-meshdistance-to-stackmask

#### Sysnopis:

`mia-meshdistance-to-stackmask` {-i `io`} {-r `io`} {-o `io`} [ `options` ...]

#### Description:

This program takes a binary masks and a triangular mesh as input and evaluates the distance of the mesh vertices to the binary maskand stores the result in a new mesh.

#### Options:

-i, --in-mesh=(input, required); io

  input mesh. For supported file types see Plugin type: mesh/io

-r, --ref-mask=(input, required); io

  reference binary mask. For supported file types see Plugin type: 2dimage/io

-o, --out-mesh=(output, required); io

  output mesh. For supported file types see Plugin type: mesh/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the distance of the mask given in the images maskXXXX.png to the mesh given in mesh.v and save the result to mesh-dist.v

    mia-meshdistance-to-stackmask -i mesh.v -r maskXXXX.png -o mesh-dist.v

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-mesh-to-maskimage | Home | mia-meshfilter